import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface EmuGroupMappingConfig extends cdktf.TerraformMetaArguments {
    /**
    * Integer corresponding to the external group ID to be linked.
    *
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/github/r/emu_group_mapping#group_id EmuGroupMapping#group_id}
    */
    readonly groupId: number;
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/github/r/emu_group_mapping#id EmuGroupMapping#id}
    *
    * Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2.
    * If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.
    */
    readonly id?: string;
    /**
    * Slug of the GitHub team.
    *
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/github/r/emu_group_mapping#team_slug EmuGroupMapping#team_slug}
    */
    readonly teamSlug: string;
}
/**
* Represents a {@link https://www.terraform.io/docs/providers/github/r/emu_group_mapping github_emu_group_mapping}
*/
export declare class EmuGroupMapping extends cdktf.TerraformResource {
    static readonly tfResourceType = "github_emu_group_mapping";
    /**
    * Create a new {@link https://www.terraform.io/docs/providers/github/r/emu_group_mapping github_emu_group_mapping} Resource
    *
    * @param scope The scope in which to define this construct
    * @param id The scoped construct ID. Must be unique amongst siblings in the same scope
    * @param options EmuGroupMappingConfig
    */
    constructor(scope: Construct, id: string, config: EmuGroupMappingConfig);
    get etag(): string;
    private _groupId?;
    get groupId(): number;
    set groupId(value: number);
    get groupIdInput(): number | undefined;
    private _id?;
    get id(): string;
    set id(value: string);
    resetId(): void;
    get idInput(): string | undefined;
    private _teamSlug?;
    get teamSlug(): string;
    set teamSlug(value: string);
    get teamSlugInput(): string | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
